| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Continuous Glucose Monitoring Service Measurement
Continuous Glucose Monitoring Service

Continuous Glucose Monitoring Service Measurement module. More...

## Functions
ret_code_t | cgms_meas_char_add (nrf_ble_cgms_t *p_cgms)
| Function for adding a characteristic for the Continuous Glucose Monitoring Measurement. More...
ret_code_t | cgms_meas_send (nrf_ble_cgms_t *p_cgms, ble_cgms_rec_t *p_rec, uint8_t *count)
| Function for sending a CGM Measurement. More...
void | cgms_meas_on_write (nrf_ble_cgms_t *p_cgms, ble_gatts_evt_write_t *p_evt_write)
| Function for handling the BLE_GATTS_EVT_WRITE event from the BLE stack. More...

## Detailed Description

Continuous Glucose Monitoring Service Measurement module.

This module implements parts of the Continuous Glucose Monitoring that relate to the Measurement characteristic. Events are propagated to this module from Continuous Glucose Monitoring Service using cgms_meas_on_write.

## Function Documentation

ret_code_t cgms_meas_char_add | ( | nrf_ble_cgms_t * | p_cgms | ) |

Function for adding a characteristic for the Continuous Glucose Monitoring Measurement.

Parameters

  [in] | p_cgms | Instance of the CGM Service.

Return values

  NRF_SUCCESS | If the characteristic was successfully added.

Returns
  If functions from other modules return errors to this function, the SoftDevice Global Error Codes are propagated.

void cgms_meas_on_write | ( | nrf_ble_cgms_t * | p_cgms,
|  | ble_gatts_evt_write_t * | p_evt_write
| ) |  |

Function for handling the BLE_GATTS_EVT_WRITE event from the BLE stack.

Parameters

  [in] | p_cgms | Instance of the CGM Service.
  [in] | p_evt_write | Event received from the BLE stack.

ret_code_t cgms_meas_send | ( | nrf_ble_cgms_t * | p_cgms,
|  | ble_cgms_rec_t * | p_rec,
|  | uint8_t * | count
| ) |  |

Function for sending a CGM Measurement.

Parameters

  [in] | p_cgms | Instance of the CGM Service.
  [in] | p_rec | Measurement to be sent.
  [in] | count | Number of measurements to encode.

Return values

  NRF_SUCCESS | If the measurement was successfully sent.

Returns
  If functions from other modules return errors to this function, the SoftDevice Global Error Codes are propagated.